> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signals Configuration

> Read the Signals configuration for one log stream or experiment run.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/runs/{run_id}/signals/configuration
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/runs/{run_id}/signals/configuration:
    get:
      tags:
        - signals-v2
      summary: Get Signals Configuration
      description: Read the Signals configuration for one log stream or experiment run.
      operationId: >-
        get_signals_configuration_v2_projects__project_id__runs__run_id__signals_configuration_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignalsConfigurationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    SignalsConfigurationResponse:
      properties:
        data:
          $ref: '#/components/schemas/SignalsConfiguration'
      additionalProperties: false
      type: object
      required:
        - data
      title: SignalsConfigurationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SignalsConfiguration:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        project_id:
          type: string
          format: uuid4
          title: Project Id
        run_id:
          type: string
          format: uuid4
          title: Run Id
        run_mode:
          $ref: '#/components/schemas/SignalScanMode'
        schedule:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/CronSignalSchedule'
                - $ref: '#/components/schemas/IntervalSignalSchedule'
              discriminator:
                propertyName: type
                mapping:
                  CRON:
                    $ref: '#/components/schemas/CronSignalSchedule'
                  INTERVAL:
                    $ref: '#/components/schemas/IntervalSignalSchedule'
            - type: 'null'
          title: Schedule
        start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Start Date
        end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: End Date
        scheduled_runs_enabled:
          type: boolean
          title: Scheduled Runs Enabled
        model:
          type: string
          title: Model
        user_preferences:
          $ref: '#/components/schemas/SignalsUserPreferences'
        notification_severities:
          items:
            $ref: '#/components/schemas/SignalSeverityLevel'
          type: array
          title: Notification Severities
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      additionalProperties: false
      type: object
      required:
        - id
        - project_id
        - run_id
        - run_mode
        - schedule
        - start_date
        - end_date
        - scheduled_runs_enabled
        - model
        - user_preferences
        - notification_severities
        - created_at
        - updated_at
      title: SignalsConfiguration
      description: >-
        Saved Signals configuration returned for one log stream or experiment
        run.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SignalScanMode:
      type: string
      enum:
        - ON_DEMAND
        - SCHEDULED
      title: SignalScanMode
      description: How a Signal scan starts.
    CronSignalSchedule:
      properties:
        type:
          type: string
          const: CRON
          title: Type
          default: CRON
        cron:
          type: string
          maxLength: 128
          minLength: 1
          title: Cron
          description: Five-field cron expression.
        timezone:
          type: string
          maxLength: 255
          minLength: 1
          title: Timezone
          description: IANA time zone used to evaluate the cron expression.
          default: UTC
      additionalProperties: false
      type: object
      required:
        - cron
      title: CronSignalSchedule
      description: Five-field cron schedule evaluated in an IANA time zone.
    IntervalSignalSchedule:
      properties:
        type:
          type: string
          const: INTERVAL
          title: Type
          default: INTERVAL
        interval_hours:
          type: integer
          maximum: 168
          minimum: 1
          title: Interval Hours
          description: Hours between scheduled scans.
        timezone:
          type: string
          maxLength: 255
          minLength: 1
          title: Timezone
          description: IANA time zone associated with the schedule.
          default: UTC
      additionalProperties: false
      type: object
      required:
        - interval_hours
      title: IntervalSignalSchedule
      description: Fixed interval between scheduled Signal scans.
    SignalsUserPreferences:
      properties:
        focus_on:
          type: string
          maxLength: 10000
          title: Focus On
          description: Problems the scan should prioritize.
          default: ''
        dont_focus_on:
          type: string
          maxLength: 10000
          title: Dont Focus On
          description: Expected behavior the scan should ignore.
          default: ''
      additionalProperties: false
      type: object
      title: SignalsUserPreferences
      description: Customer guidance considered when Signals are generated.
    SignalSeverityLevel:
      type: string
      enum:
        - LOW
        - MEDIUM
        - HIGH
      title: SignalSeverityLevel
      description: Severity level shown to users and used for notification selection.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````